Index: issm/trunk/src/c/parallel/balancedthickness2.cpp
===================================================================
--- issm/trunk/src/c/parallel/balancedthickness2.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/balancedthickness2.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/balancedthickness2_core.cpp
===================================================================
--- issm/trunk/src/c/parallel/balancedthickness2_core.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/balancedthickness2_core.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 #include "../objects/objects.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./parallel.h"
Index: issm/trunk/src/c/parallel/balancedthickness_core.cpp
===================================================================
--- issm/trunk/src/c/parallel/balancedthickness_core.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/balancedthickness_core.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 #include "../objects/objects.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 #include "./parallel.h"
Index: issm/trunk/src/c/parallel/balancedvelocities.cpp
===================================================================
--- issm/trunk/src/c/parallel/balancedvelocities.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/balancedvelocities.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/diagnostic.cpp
===================================================================
--- issm/trunk/src/c/parallel/diagnostic.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/diagnostic.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/diagnostic_core.cpp
===================================================================
--- issm/trunk/src/c/parallel/diagnostic_core.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/diagnostic_core.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 #include "./parallel.h"
 #include "../modules.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 void diagnostic_core(DataSet* results,Model* model){
@@ -143,5 +143,5 @@
 		FieldExtrudex( ug,fem_dh->elements,fem_dh->nodes, fem_dh->vertices,fem_dh->loads,fem_dh->materials,fem_dh->parameters,"velocity",1);
 
-		SplitSolutionVector(ug,numberofnodes,numberofdofspernode_dh,&vx,&vy);
+		SplitSolutionVectorx(ug,numberofnodes,numberofdofspernode_dh,&vx,&vy);
 		model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 		model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
Index: issm/trunk/src/c/parallel/gradjcompute_core.cpp
===================================================================
--- issm/trunk/src/c/parallel/gradjcompute_core.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/gradjcompute_core.cpp	(revision 3775)
@@ -84,5 +84,5 @@
 
 	/*add to inputs: */
-	SplitSolutionVector(lambda_g,numberofnodes,numberofdofspernode,&lambdax,&lambday);
+	SplitSolutionVectorx(lambda_g,numberofnodes,numberofdofspernode,&lambdax,&lambday);
 	model->UpdateInputsFromVector(lambdax,AdjointxEnum,VertexEnum);
 	model->UpdateInputsFromVector(lambday,AdjointyEnum,VertexEnum);
@@ -106,5 +106,5 @@
 		diagnostic_results->FindResult(&u_g,"u_g");
 		
-		SplitSolutionVector(u_g,numberofnodes,3,&vx,&vy,&vz);
+		SplitSolutionVectorx(u_g,numberofnodes,3,&vx,&vy,&vz);
 		model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 		model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
Index: issm/trunk/src/c/parallel/objectivefunctionC.cpp
===================================================================
--- issm/trunk/src/c/parallel/objectivefunctionC.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/objectivefunctionC.cpp	(revision 3775)
@@ -104,5 +104,5 @@
 		diagnostic_results->FindResult(&u_g,"u_g");
 		
-		SplitSolutionVector(u_g,numberofnodes,3,&vx,&vy,&vz);
+		SplitSolutionVectorx(u_g,numberofnodes,3,&vx,&vy,&vz);
 		femmodel->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 		femmodel->UpdateInputsFromVector(vy,VxEnum,VertexEnum);
Index: issm/trunk/src/c/parallel/prognostic.cpp
===================================================================
--- issm/trunk/src/c/parallel/prognostic.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/prognostic.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/prognostic2.cpp
===================================================================
--- issm/trunk/src/c/parallel/prognostic2.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/prognostic2.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/slopecompute.cpp
===================================================================
--- issm/trunk/src/c/parallel/slopecompute.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/slopecompute.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/steadystate.cpp
===================================================================
--- issm/trunk/src/c/parallel/steadystate.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/steadystate.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/thermal.cpp
===================================================================
--- issm/trunk/src/c/parallel/thermal.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/thermal.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/transient.cpp
===================================================================
--- issm/trunk/src/c/parallel/transient.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/transient.cpp	(revision 3775)
@@ -13,5 +13,5 @@
 #include "../DataSet/DataSet.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
-#include "../include/globals.h"
+#include "../include/include.h"
 #include "./parallel.h"
 
Index: issm/trunk/src/c/parallel/transient_core_2d.cpp
===================================================================
--- issm/trunk/src/c/parallel/transient_core_2d.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/transient_core_2d.cpp	(revision 3775)
@@ -97,5 +97,5 @@
 		_printf_("%s\n","computing new thickness");
 		
-		SplitSolutionVector(u_g,numberofnodes,2,&vx,&vy);
+		SplitSolutionVectorx(u_g,numberofnodes,2,&vx,&vy);
 		model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 		model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
@@ -130,5 +130,5 @@
 		model->UpdateInputsFromVector(b_g,BedEnum,VertexEnum);
 	
-		SplitSolutionVector(u_g,numberofnodes,2,&vx,&vy);
+		SplitSolutionVectorx(u_g,numberofnodes,2,&vx,&vy);
 		model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 		model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
Index: issm/trunk/src/c/parallel/transient_core_3d.cpp
===================================================================
--- issm/trunk/src/c/parallel/transient_core_3d.cpp	(revision 3774)
+++ issm/trunk/src/c/parallel/transient_core_3d.cpp	(revision 3775)
@@ -118,5 +118,5 @@
 		if(verbose)_printf_("%s\n","computing new thickness");
 	
-		SplitSolutionVector(u_g,numberofnodes,3,&vx,&vy,&vz);
+		SplitSolutionVectorx(u_g,numberofnodes,3,&vx,&vy,&vz);
 		model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 		model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
@@ -159,5 +159,5 @@
 		model->UpdateInputsFromVector(b_g,BedEnum,VertexEnum);
 	
-		SplitSolutionVector(u_g,numberofnodes,3,&vx,&vy,&vz);
+		SplitSolutionVectorx(u_g,numberofnodes,3,&vx,&vy,&vz);
 		model->UpdateInputsFromVector(vx,VxEnum,VertexEnum);
 		model->UpdateInputsFromVector(vy,VyEnum,VertexEnum);
Index: issm/trunk/src/c/shared/Alloc/alloc.cpp
===================================================================
--- issm/trunk/src/c/shared/Alloc/alloc.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Alloc/alloc.cpp	(revision 3775)
@@ -27,5 +27,5 @@
 #include  "./alloc.h"
 #include "../Exceptions/exceptions.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 
 void* xmalloc(int size){
Index: issm/trunk/src/c/shared/Dofs/DistributeNumDofs.cpp
===================================================================
--- issm/trunk/src/c/shared/Dofs/DistributeNumDofs.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Dofs/DistributeNumDofs.cpp	(revision 3775)
@@ -3,5 +3,5 @@
  */ 
 
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../shared.h"
Index: issm/trunk/src/c/shared/Dofs/dofsetgen.cpp
===================================================================
--- issm/trunk/src/c/shared/Dofs/dofsetgen.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Dofs/dofsetgen.cpp	(revision 3775)
@@ -10,5 +10,5 @@
 
 #include "../Alloc/alloc.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "stdio.h"
 
Index: issm/trunk/src/c/shared/Elements/ResolvePointers.cpp
===================================================================
--- issm/trunk/src/c/shared/Elements/ResolvePointers.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Elements/ResolvePointers.cpp	(revision 3775)
@@ -11,6 +11,6 @@
 #include "../../objects/objects.h"
 #include "../../DataSet/DataSet.h"
-#include "../../include/typedefs.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../Exceptions/exceptions.h"
 
Index: issm/trunk/src/c/shared/Exceptions/Exceptions.cpp
===================================================================
--- issm/trunk/src/c/shared/Exceptions/Exceptions.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Exceptions/Exceptions.cpp	(revision 3775)
@@ -4,5 +4,5 @@
 
 #include "../shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 
 ErrorException::ErrorException(const string &what_arg){
Index: issm/trunk/src/c/shared/Exp/DomainOutlineRead.cpp
===================================================================
--- issm/trunk/src/c/shared/Exp/DomainOutlineRead.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Exp/DomainOutlineRead.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "stdio.h"
 #include "../Alloc/alloc.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../Exceptions/exceptions.h"
 
Index: issm/trunk/src/c/shared/Matlab/CheckNumMatlabArguments.cpp
===================================================================
--- issm/trunk/src/c/shared/Matlab/CheckNumMatlabArguments.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Matlab/CheckNumMatlabArguments.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../Exceptions/exceptions.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "mex.h"
 
Index: issm/trunk/src/c/shared/Matrix/MatrixUtils.cpp
===================================================================
--- issm/trunk/src/c/shared/Matrix/MatrixUtils.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Matrix/MatrixUtils.cpp	(revision 3775)
@@ -37,5 +37,5 @@
 #include <math.h>
 #include <float.h>    /*  DBL_EPSILON  */
-#include "../../include/macros.h"
+#include "../../include/include.h"
 
 int TripleMultiply( double* a, int nrowa, int ncola, int itrna, double* b, int nrowb, int ncolb, int itrnb, double* c, int nrowc, int ncolc, int itrnc, double* d, int iaddd){
Index: issm/trunk/src/c/shared/Numerics/BrentSearch.cpp
===================================================================
--- issm/trunk/src/c/shared/Numerics/BrentSearch.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Numerics/BrentSearch.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "./numerics.h"
 #include "../../objects/objects.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../shared/shared.h"
 #include <float.h>
Index: issm/trunk/src/c/shared/Numerics/GaussPoints.cpp
===================================================================
--- issm/trunk/src/c/shared/Numerics/GaussPoints.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Numerics/GaussPoints.cpp	(revision 3775)
@@ -5,6 +5,6 @@
 #include "../Matlab/matlabshared.h"
 #include "../Alloc/alloc.h"
-#include "../../include/macros.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../Exceptions/exceptions.h"
 #include <math.h>
Index: issm/trunk/src/c/shared/Numerics/OptFunc.cpp
===================================================================
--- issm/trunk/src/c/shared/Numerics/OptFunc.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Numerics/OptFunc.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 
 #ifdef _SERIAL_
Index: issm/trunk/src/c/shared/Numerics/numerics.h
===================================================================
--- issm/trunk/src/c/shared/Numerics/numerics.h	(revision 3774)
+++ issm/trunk/src/c/shared/Numerics/numerics.h	(revision 3775)
@@ -8,5 +8,4 @@
 #include "./GaussPoints.h"
 #include "./isnan.h"
-#include "./SplitSolutionVector.h"
 
 struct OptArgs;
Index: issm/trunk/src/c/shared/Threads/LaunchThread.cpp
===================================================================
--- issm/trunk/src/c/shared/Threads/LaunchThread.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/Threads/LaunchThread.cpp	(revision 3775)
@@ -22,5 +22,5 @@
 #include "../Alloc/alloc.h"
 #include "../Exceptions/exceptions.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 
 void LaunchThread(void* function(void*), void* gate,int num_threads){
Index: issm/trunk/src/c/shared/TriMesh/TriMeshUtils.cpp
===================================================================
--- issm/trunk/src/c/shared/TriMesh/TriMeshUtils.cpp	(revision 3774)
+++ issm/trunk/src/c/shared/TriMesh/TriMeshUtils.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../Exceptions/exceptions.h"
 #include "../Alloc/alloc.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 
 int IsGridOnRift(int* riftsegments, int nriftsegs, int grid){
Index: issm/trunk/src/c/toolkits/petsc/patches/MatInvert.cpp
===================================================================
--- issm/trunk/src/c/toolkits/petsc/patches/MatInvert.cpp	(revision 3774)
+++ issm/trunk/src/c/toolkits/petsc/patches/MatInvert.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 
 #include "../../../shared/shared.h"
-#include "../../../include/macros.h"
+#include "../../../include/include.h"
 
 void MatInvert(Mat* pinv, Mat matrix){
Index: issm/trunk/src/c/toolkits/petsc/patches/NewMat.cpp
===================================================================
--- issm/trunk/src/c/toolkits/petsc/patches/NewMat.cpp	(revision 3774)
+++ issm/trunk/src/c/toolkits/petsc/patches/NewMat.cpp	(revision 3775)
@@ -17,5 +17,5 @@
 
 #include "../../../shared/shared.h"
-#include "../../../include/macros.h"
+#include "../../../include/include.h"
 
 Mat NewMat(int M,int N,double* psparsity,int* pconnectivity,int* pnumberofdofspernode){
Index: issm/trunk/src/c/toolkits/petsc/patches/PetscOptionsDetermineSolverType.cpp
===================================================================
--- issm/trunk/src/c/toolkits/petsc/patches/PetscOptionsDetermineSolverType.cpp	(revision 3774)
+++ issm/trunk/src/c/toolkits/petsc/patches/PetscOptionsDetermineSolverType.cpp	(revision 3775)
@@ -37,5 +37,5 @@
 
 #include "../../../shared/shared.h"
-#include "../../../include/macros.h"
+#include "../../../include/include.h"
 
 void PetscOptionsDetermineSolverType(int* psolver_type,char* options_string){
Index: issm/trunk/src/c/toolkits/petsc/patches/PetscOptionsInsertMultipleString.cpp
===================================================================
--- issm/trunk/src/c/toolkits/petsc/patches/PetscOptionsInsertMultipleString.cpp	(revision 3774)
+++ issm/trunk/src/c/toolkits/petsc/patches/PetscOptionsInsertMultipleString.cpp	(revision 3775)
@@ -17,5 +17,5 @@
 
 #include "../../../shared/shared.h"
-#include "../../../include/macros.h"
+#include "../../../include/include.h"
 
 void PetscOptionsInsertMultipleString(char* options_string){
Index: issm/trunk/src/c/toolkits/petsc/patches/VecMerge.cpp
===================================================================
--- issm/trunk/src/c/toolkits/petsc/patches/VecMerge.cpp	(revision 3774)
+++ issm/trunk/src/c/toolkits/petsc/patches/VecMerge.cpp	(revision 3775)
@@ -17,5 +17,5 @@
 
 #include "../../../shared/shared.h"
-#include "../../../include/macros.h"
+#include "../../../include/include.h"
 
 void VecMerge(Vec A, Vec B, double* row_partition_vector,int row_partition_size){
Index: issm/trunk/src/c/toolkits/plapack/patches/PlapackInvertMatrix.cpp
===================================================================
--- issm/trunk/src/c/toolkits/plapack/patches/PlapackInvertMatrix.cpp	(revision 3774)
+++ issm/trunk/src/c/toolkits/plapack/patches/PlapackInvertMatrix.cpp	(revision 3775)
@@ -2,5 +2,5 @@
  * \brief invert petsc matrix using Plapack
  */
-#include "../../../include/macros.h"
+#include "../../../include/include.h"
 
 /* petsc: */
Index: issm/trunk/src/c/toolkits/plapack/plapackincludes.h
===================================================================
--- issm/trunk/src/c/toolkits/plapack/plapackincludes.h	(revision 3774)
+++ issm/trunk/src/c/toolkits/plapack/plapackincludes.h	(revision 3775)
@@ -7,5 +7,5 @@
 
 #include "PLA.h"
-#include "PLA_prototypes.h"
+#include "PLA_protoinclude.h"
 
 /* missing Plapack prototypes: */
Index: issm/trunk/src/mex/SplitSolutionVector/SplitSolutionVector.cpp
===================================================================
--- issm/trunk/src/mex/SplitSolutionVector/SplitSolutionVector.cpp	(revision 3774)
+++ issm/trunk/src/mex/SplitSolutionVector/SplitSolutionVector.cpp	(revision 3775)
@@ -12,5 +12,5 @@
 	/*input datasets: */
 	double* vector=NULL;
-	int dummy=NULL;
+	int dummy;
 	int numberofnodes;
 	int numberofdofspernode;
@@ -27,5 +27,5 @@
 	for(i=0;i<numberofdofspernode;i++){
 		double*  component=(double*)xmalloc(numberofnodes*sizeof(double));
-		for (j=0;j<numberofnodes;j++) component[i]=vector[j*numberofdofs+i];
+		for (j=0;j<numberofnodes;j++) component[i]=vector[j*numberofdofspernode+i];
 
 
